Package org.globus.util.http

# Class HTTPChunkedInputStream

java.lang.Object
java.io.InputStream
org.globus.util.http.HTTPChunkedInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class HTTPChunkedInputStream extends InputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected byte[]`
`_buf`
`protected boolean`
`_eof`
`protected InputStream`
`_in`
`protected int`
`_index`
`protected int`
`_max`

## Constructor Summary

Constructors
Constructor
Description
`HTTPChunkedInputStream(InputStream in)`

## Method Summary

Modifier and Type
Method
Description
`int`
`available()`
`void`
`close()`
`int`
`read()`
`int`
`read(byte[] buffer, int off, int len)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _buf

protected byte[] _buf

### _index

protected int _index

### _max

protected int _max

### _eof

protected boolean _eof

### _in

protected InputStream _in

## Constructor Details

### HTTPChunkedInputStream

public HTTPChunkedInputStream(InputStream in)

## Method Details

### read

public int read(byte[] buffer, int off, int len) throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### available

public int available() throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`